Delete shipping method - Fabric
Delete shipping method
cURL
curl --request DELETE \
--url https://api.fabric.inc/v3/shipping-methods/{shippingMethodId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
import requests
url = "https://api.fabric.inc/v3/shipping-methods/{shippingMethodId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
const options = {
method: 'DELETE',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fabric.inc/v3/shipping-methods/{shippingMethodId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200
- 400
- 401
- 404
- 500
Example Response
{
"code": "SDD",
"name": "Express Delivery",
"addressType": "APO",
"attributes": {
"carrier": "FedEx",
"type": "Next Day"
},
"carrier": "FedEx",
"cartValue": {
"max": 3.1,
"min": 2.1
},
"channelId": "12",
"configuredBy": "User3",
"cost": 20.5,
"createdAt": "2022-08-01T20:03:28.483Z",
"createdBy": "User1",
"currency": "USD",
"cutoffTime": 1330,
"description": "Express Delivery 2 - 5 days",
"dimension": {
"max": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
},
"min": {
"height": 2.4,
"length": 4.6,
"uom": "EA",
"width": 3.5
}
},
"isDeleted": false,
"maximumDays": 5,
"minimumDays": 2,
"region": "CA",
"shippingMethodId": "5349b4ddd2781d08c09890f4",
"taxCode": "FR01",
"updatedAt": "2022-08-01T20:03:28.483Z",
"updatedBy": "User2",
"weight": {
"max": 3.1,
"min": 2.1
}
}
Error Responses
{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}
{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}
{
"message": "shipping method not found",
"type": "CLIENT_ERROR"
}
{
"message": "Internal server error",
"type": "SERVER_ERROR"
}
Authorizations
- Authorization: string, required, Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Headers
- x-fabric-tenant-id: string, required
- x-fabric-channel-id: string, required
Path Parameters
- shippingMethodId: string, required
Response Format
- 200, application/json
Shipping method response model
code: string, required
name: string, required
addressType: enum
attributes: object
carrier: string
cartValue: object
channelId: string
configuredBy: string
cost: number
createdAt: string
createdBy: string
currency: string
cutoffTime: integer
description: string
dimension: object
isDeleted: boolean
maximumDays: integer
minimumDays: integer
region: string
shippingMethodId: string
taxCode: string
updatedAt: string
updatedBy: string
weight: object